Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Event_Handler_Handle_Timeout_Upcall Class Template Reference

Functor for Timer_Queues. More...

`#include <Timer_Queue_T.h>`

Inheritance diagram for ACE_Event_Handler_Handle_Timeout_Upcall:

[legend]
List of all members.

## Public Types
typedef ACE_Timer_Queue_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >, ACE_LOCK > | TIMER_QUEUE
## Public Methods
| ACE_Event_Handler_Handle_Timeout_Upcall (void)
| Constructor. More...
| ~ACE_Event_Handler_Handle_Timeout_Upcall (void)
| Destructor. More...
int | timeout (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg, const ACE_Time_Value &cur_time)
| This method is called when the timer expires. More...
int | cancellation (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler)
| This method is called when the timer is cancelled. More...
int | deletion (TIMER_QUEUE &timer_queue, ACE_Event_Handler *handler, const void *arg)
| This method is called when the timer queue is destroyed and the timer is still contained in it. More...
## Private Methods
| ACE_Event_Handler_Handle_Timeout_Upcall (const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > &)
void | operator= (const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > &)

## Detailed Description

### template<class ACE_LOCK>
class ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >

Functor for Timer_Queues.

This class implements the functor required by the Timer Queue to call <handle_timeout> on ACE_Event_Handlers.

## Member Typedef Documentation

template<class ACE_LOCK>
typedef ACE_Timer_Queue_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_LOCK>, ACE_LOCK> ACE_Event_Handler_Handle_Timeout_Upcall::TIMER_QUEUE

## Constructor & Destructor Documentation

template<class ACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::ACE_Event_Handler_Handle_Timeout_Upcall | ( | void |  | ) |

| Constructor.

template<class ACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::~ACE_Event_Handler_Handle_Timeout_Upcall | ( | void |  | ) |

| Destructor.

template<class ACE_LOCK>
ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::ACE_Event_Handler_Handle_Timeout_Upcall | ( | const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > & |  | ) | `[private]`

## Member Function Documentation

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::cancellation | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler
| ) |

| This method is called when the timer is cancelled.

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::deletion | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg
| ) |

| This method is called when the timer queue is destroyed and the timer is still contained in it.

template<class ACE_LOCK>
void ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::operator= | ( | const ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK > & |  | ) | `[private]`

template<class ACE_LOCK>
int ACE_Event_Handler_Handle_Timeout_Upcall< ACE_LOCK >::timeout | ( | TIMER_QUEUE & | timer_queue,
|  | ACE_Event_Handler * | handler,
|  | const void * | arg,
|  | const ACE_Time_Value & | cur_time
| ) |

| This method is called when the timer expires.

The documentation for this class was generated from the following files:

- Timer_Queue_T.h
- Timer_Queue_T.cpp